Package com.ericsson.otp.erlang

## Class OtpAuthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ericsson.otp.erlang.OtpException
      - - com.ericsson.otp.erlang.OtpAuthException

All Implemented Interfaces:
  `java.io.Serializable`

    public class OtpAuthException
    extends OtpException

Exception raised when a node attempts to establish a communication channel when it is not authorized to do so, or when a node sends a message containing an invalid cookie on an established channel.

See Also:
  `OtpConnection`, Serialized Form

### Constructor Summary

Constructors
`OtpAuthException​(java.lang.String s)` Provides a detailed message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OtpAuthException

    public OtpAuthException​(java.lang.String s)

Provides a detailed message.